/**
  *  \file game/parser.cc
  */

#include "game/parser.h"
#include "util/misc.h"

GMessageInformation::GMessageInformation(GMessageObject obj, int32 id, int turn)
    : obj(obj), id(id), values(), turn(turn)
{ }

GMessageInformation::~GMessageInformation()
{ }

void
GMessageInformation::addValue(GMessageStringIndex si, const string_t& s)
{
    values.push_back(new GMessageStringValue(si, s));
}

void
GMessageInformation::addValue(GMessageIntIndex ii, int32 i)
{
    values.push_back(new GMessageIntValue(ii, i));
}
